[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'charset' (#rtl)

# tunicodemap

Unicode character mapping for single-byte codepage

## Declaration

Source position: charset.pp line 45

`type tunicodemap = record`
`cpname: string;` |  | Codepage name
`cp: Word;` |  | Numerical codepage identifier
`map: punicodecharmapping;` |  | Forward map (array)
`lastchar: LongInt;` |  | Index of last character (or size of map array)
`reversemap: preversecharmapping;` |  | Reverse map (array)
`reversemaplength: LongInt;` |  | Length of reverse map (or size of reversemap array)
`next: punicodemap;` |  | Pointer to next Unicode map in chain
`internalmap: Boolean;` |  | Is this an internal map (not dynamically loaded, may not be freed)
`end;`

## Description

tunicodemap describes a complete mapping between a single-byte code page and a Unicode character set. It contains both a forward and backward mapping.